return {
  {
    "nvim-telescope/telescope-file-browser.nvim",
    after = "telescope.nvim",
    config = function() require("telescope").load_extension "file_browser" end,
  },
  --{
  --  "ahmedkhalf/project.nvim",
  --  after = "telescope.nvim",
  --  config = function()
  --    require("project_nvim").setup {
  --      -- Manual mode doesn't automatically change your root directory, so you have
  --      -- the option to manually do so using `:ProjectRoot` command.
  --      manual_mode = false,

  --      -- Methods of detecting the root directory. **"lsp"** uses the native neovim
  --      -- lsp, while **"pattern"** uses vim-rooter like glob pattern matching. Here
  --      -- order matters: if one is not detected, the other is used as fallback. You
  --      -- can also delete or rearangne the detection methods.
  --      detection_methods = { "lsp", "pattern" },

  --      -- All the patterns used to detect root dir, when **"pattern"** is in
  --      -- detection_methods
  --      patterns = { ".git", "Makefile", "package.json" },

  --      -- Table of lsp clients to ignore by name
  --      -- eg: { "efm", ... }
  --      ignore_lsp = {},

  --      -- Don't calculate root dir on specific directories
  --      -- Ex: { "~/.cargo/*", ... }
  --      exclude_dirs = {},

  --      -- Show hidden files in telescope
  --      show_hidden = false,

  --      -- When set to false, you will get a message when project.nvim changes your
  --      -- directory.
  --      silent_chdir = true,

  --      -- What scope to change the directory, valid options are
  --      -- * global (default)
  --      -- * tab
  --      -- * win
  --      scope_chdir = "global",

  --      -- Path where project.nvim will store the project history for use in
  --      -- telescope
  --      datapath = vim.fn.stdpath "data",
  --    }
  --    require("telescope").load_extension "projects"
  --  end,
  --},
  {
    after = "telescope.nvim",
    "pwntester/octo.nvim",
    config = function() require("octo").setup() end,
  },
  --{
  --  "~/git/git.front.kjuulh.io/kjuulh/github-presense",
  --  config = function() require("github_presence").setup {} end,
  --},
  {
    "~/git/git.front.kjuulh.io/kjuulh/ranger.nvim",
    config = function() require("ranger").setup {} end,
  },
  {
    "~/git/git.front.kjuulh.io/kjuulh/dataviewjs.nvim",
    after = "nvim-treesitter",
    config = function() require("dataviewjs").init {} end,
  },
  {
    "iamcco/markdown-preview.nvim",
    run = function() vim.fn["mkdp#util#install"]() end,
  },
  {
    "godlygeek/tabular",
  },
  {
    "elzr/vim-json",
  },
  {
    "plasticboy/vim-markdown",
  },
  {
    "folke/tokyonight.nvim",
  },
  { "scalameta/nvim-metals", requires = { "nvim-lua/plenary.nvim" } },
  {
    "leoluz/nvim-dap-go",
    config = function()
      require("dap-go").setup {
        -- Additional dap configurations can be added.
        -- dap_configurations accepts a list of tables where each entry
        -- represents a dap configuration. For more details do:
        -- :help dap-configuration
        dap_configurations = {
          {
            -- Must be "go" or it will be ignored by the plugin
            type = "go",
            name = "Attach remote",
            mode = "remote",
            request = "attach",
          },
        },
        -- delve configurations
        delve = {
          -- time to wait for delve to initialize the debug session.
          -- default to 20 seconds
          initialize_timeout_sec = 20,
          -- a string that defines the port to start delve debugger.
          -- default to string "${port}" which instructs nvim-dap
          -- to start the process in a random available port
          port = "${port}",
        },
      }
    end,
  },
}
